%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DB_File/Lock.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(HTTP/Request/Common.pm) perl(Kwiki.pm) perl(Kwiki/CGI.pm) perl(Kwiki/Formatter.pm) perl(Kwiki/Installer.pm) perl(Kwiki/Plugin.pm) perl(Kwiki/Test.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Spoon/Formatter.pm) perl(Test/More.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Kwiki-Purple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Provides purple numbers support to Kwiki
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CD/CDENT/Kwiki/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Kwiki::Purple adds support for granular addressability and transclusion
of content in Kwiki pages, based (somewhat loosely) on the PurpleWiki model.

When this plugin is installed and a page is saved, each heading, paragraph
or list item has a nid appended to its saved text. That looks like this:

   Some text in a paragraph {nid 1}

When the page is formatted to html, this nid will be presented as
a clickable anchor pointing directly to the identified paragraph.

When editing the paragraph, do not remove the {nid} wafl unless
you remove the paragraph outright. If you are just making an edit, 
leave the nid in place. Doing so allows continued granular access
to the chunk of text identified by the nid.

Any section of text which is identified by a nid may be transcluded
elsewhere in the wiki. Transclusion is a sort of reuse by reference
rather than copy. Transclusion has its own wafl:

  This will transclude nid 1 {t 1} into this paragraph

When formatted the output will look similar to:

  This will transclude nid 1 Some text in a paragraph into this paragraph

Some care it taken to prevent loops. 

With experience, this system can become very handy for reusing
or pointing to information that you store in your wiki. 

For more information on Purple Numbers see http://purple.blueoxen.net/,
http://purplewiki.blueoxen.net/ and http://www.burningchrome.com/~cdent/mt/archives/cat_purple.html.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO README BUGS
%perl_vendor_privlib/K*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

